Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.callback
Interface AsynchInvokerCallbackHandler

All Superinterfaces:
  InvokerCallbackHandler

All Known Implementing Classes:
  ServerInvokerCallbackHandler

    public interface AsynchInvokerCallbackHandler

extends InvokerCallbackHandler

AsynchInvokerCallbackHandler extends InvokerCallbackHandler with asynchronous callback handling.

Version:
  $Revision: 1977 $

  Copyright Nov 28, 2006

Author:
  Ron Sigal

Method Summary
`void` | `handleCallback(Callback callback, boolean asynch, boolean serverSide)` For push callbacks:
`void` | `handleCallbackOneway(Callback callback)` For push callbacks, will send the callback to the server invoker on the client side, hand off processing to a separate thread, and return.
`void` | `handleCallbackOneway(Callback callback, boolean serverSide)` For push callbacks:

Methods inherited from interface org.jboss.remoting.callback.InvokerCallbackHandler
`handleCallback`

Method Detail

### handleCallbackOneway

    void handleCallbackOneway(Callback callback)
                              throws HandleCallbackException

  For push callbacks, will send the callback to the server invoker on the client side, hand off processing to a separate thread, and return.

  For pull callbacks, behaves the same as handleCallback(Callback callback).

  Parameters:
    `callback` -
  Throws:
    `HandleCallbackException`

### handleCallbackOneway

    void handleCallbackOneway(Callback callback,
                              boolean serverSide)
                              throws HandleCallbackException

  For push callbacks:

  if serverSide == false, will send the callback to the server invoker on the client side, hand off processing to a separate thread, and return.

  if serverside == true, will hand off to a separate thread the sending of the callback and will then return.

  For pull callbacks, behaves the same as handleCallback(Callback callback).

  Parameters:
    `callback` -
    `serverSide` -
  Throws:
    `HandleCallbackException`

### handleCallback

    void handleCallback(Callback callback,
                        boolean asynch,
                        boolean serverSide)
                        throws HandleCallbackException

  For push callbacks:

  if asynch == false, behaves the same as handleCallback(Callback callback).

  if asynch == true:

  if serverSide == false, will send the callback to the server invoker on the client side, hand off processing to a separate thread, and return.

  if serverside == true, will hand off to a separate thread the sending of the callback and will then return.

  For pull callbacks, behaves the same as handleCallback(Callback callback).

  Parameters:
    `callback` -
    `asynch` -
    `serverSide` -
  Throws:
    `HandleCallbackException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.